For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all projects for entity
      • POSTCreate a project
      • GETGet a project by ID
      • DELDelete a project
      • PATCHUpdate a project
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonProjects

Update a project

PATCH
/projects/:project_id
PATCH
/v1/projects/:project_id
$curl -X PATCH https://api.sandbox.monite.com/v1/projects/project_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "entity_id": "entity_id",
6 "name": "Marketing",
7 "code": "code",
8 "color": "color",
9 "created_by_entity_user_id": "created_by_entity_user_id",
10 "description": "description",
11 "end_date": "end_date",
12 "parent_id": "parent_id",
13 "partner_metadata": {
14 "key": "value"
15 },
16 "start_date": "start_date",
17 "tags": [
18 {
19 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
20 "created_at": "2022-09-07T16:35:18Z",
21 "updated_at": "2022-09-07T16:35:18Z",
22 "name": "Marketing",
23 "category": "document_type",
24 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
25 "description": "Tag for the Marketing Department"
26 }
27 ]
28}
Update a project.
Was this page helpful?
Previous

Get tags

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
codestringOptionalformat: "^[a-zA-Z0-9]+$"1-20 characters
Project code
colorstringOptional<=128 characters
Project color
descriptionstringOptional<=1024 characters
Description of project
end_datestringOptionalformat: "date"
Project end date
namestringOptional1-255 characters
The project name.
parent_idstringOptionalformat: "uuid"
Parent project ID
partner_metadatamap from strings to anyOptional
Project metadata
start_datestringOptionalformat: "date"
Project start date
tag_idslist of stringsOptional

A list of IDs of user-defined tags (labels) assigned to this project.

Response

Successful Response
idstringformat: "uuid"
A unique ID assigned to this project.
created_atdatetime
Project created at
updated_atdatetime
Last time project was updated at
entity_idstringformat: "uuid"
The ID of the entity to which the project was issued.
namestring1-255 characters
The project name.
codestringformat: "^[a-zA-Z0-9]+$"1-20 characters
Project code
colorstring<=128 characters
Project color
created_by_entity_user_idstringformat: "uuid"
Project created by entity user
descriptionstring<=1024 characters
Description of project
end_datestringformat: "date"
Project end date
parent_idstringformat: "uuid"
Parent project ID
partner_metadatamap from strings to any
Project metadata
start_datestringformat: "date"
Project start date
tagslist of objects

A list of user-defined tags (labels) assigned to this project.

Errors

400
Patch Projects ID Request Bad Request Error
401
Patch Projects ID Request Unauthorized Error
403
Patch Projects ID Request Forbidden Error
404
Patch Projects ID Request Not Found Error
422
Patch Projects ID Request Unprocessable Entity Error
500
Patch Projects ID Request Internal Server Error